aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--system/z/README12
-rw-r--r--system/z/slack-desc4
-rw-r--r--system/z/z.SlackBuild57
-rw-r--r--system/z/z.info10
4 files changed, 34 insertions, 49 deletions
diff --git a/system/z/README b/system/z/README
index 76992393c9dfb..e1f47b1ac1fdd 100644
--- a/system/z/README
+++ b/system/z/README
@@ -1,6 +1,8 @@
+z (jump around in bash/zsh)
+
z is a bash/zsh extension that tracks your most used directories,
-based on 'frecency'. After a short learning phase, z will take
-you to the most 'frecent' directory that matches ALL of the regexes
-given on the command line, in order. For example, z foo bar would
-match /foo/bar but not /bar/foo. Frecency is a portmanteau of
-'recent' and 'frequency'.
+based on 'frecency'. After a short learning phase, z will take you to
+the most 'frecent' directory that matches ALL of the regexes given
+on the command line, in order. For example, z foo bar would match
+/foo/bar but not /bar/foo. Frecency is a portmanteau of 'recent' and
+'frequency'.
diff --git a/system/z/slack-desc b/system/z/slack-desc
index d0b8244fe7661..2d5f8235e82ec 100644
--- a/system/z/slack-desc
+++ b/system/z/slack-desc
@@ -6,10 +6,10 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-z: z (bash/zsh extension)
+z: z (jump around in bash/zsh)
z:
z: Tracks your most used directories, based on 'frecency'.
-z: After a short learning phase, z will take you to the most
+z: After a short learning phase, z will take you to the most
z: 'frecent' directory that matches ALL of the regexes given on the
z: command line, in order. For example, z foo bar would match /foo/bar
z: but not /bar/foo.
diff --git a/system/z/z.SlackBuild b/system/z/z.SlackBuild
index b236a7ceca006..d6685921eef37 100644
--- a/system/z/z.SlackBuild
+++ b/system/z/z.SlackBuild
@@ -2,39 +2,27 @@
# Slackware build script for z
-# Copyright (c) 2014, David Sullins
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Original author: David Sullins.
+# Modified and now maintained by B. Watson <urchlay@slackware.uk>.
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# 20241123 bkw:
+# - new maintainer.
+# - relicense as WTFPL.
+# - update for v1.12.
+# - add LICENSE to doc dir.
+# - tweak README and slack-desc.
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=z
-VERSION=${VERSION:-1.9}
+VERSION=${VERSION:-1.12}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
ARCH=noarch
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -44,30 +32,25 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/v$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+chmod 644 * # no subdirs!
install -Dm755 $PRGNAM.sh $PKG/etc/profile.d/$PRGNAM.sh
-install -Dm644 $PRGNAM.1 $PKG/usr/man/man1/$PRGNAM.1
-
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+mkdir -p $PKG/usr/man/man1/
+gzip -9c < $PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a LICENSE README $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/system/z/z.info b/system/z/z.info
index 644bf1285face..0eb0118ba8230 100644
--- a/system/z/z.info
+++ b/system/z/z.info
@@ -1,10 +1,10 @@
PRGNAM="z"
-VERSION="1.9"
+VERSION="1.12"
HOMEPAGE="https://github.com/rupa/z/wiki"
-DOWNLOAD="https://github.com/rupa/z/archive/v1.9/z-1.9.tar.gz"
-MD5SUM="a111ecf453a8437a1ac0b005627d6b84"
+DOWNLOAD="https://github.com/rupa/z/archive/v1.12/z-1.12.tar.gz"
+MD5SUM="df420f56936daec462af0bf146a8881a"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="David Sullins"
-EMAIL="david.sullins@gmail.com"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"